Page MenuHomePhabricator

Error "Please enter a comment below" from trying to add a blank new section is confusing for NWE users
Closed, ResolvedPublic1 Estimated Story Points

Description

Steps to reproduce:

  1. Click on "New Section" tab
  2. Type something for the heading

3.Click on "Save Changes" button

  1. Click on the "Save Changes" button on the save dialog

Observed Result:
The section heading does not get saved, shows a dialog saying "Something went wrong, Please enter a comment below"

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2017, 11:57 PM
Jdforrester-WMF renamed this task from Cannot add a new section, getting error "Please enter a comment below" while trying to save the page to Error "Please enter a comment below" from trying to add a blank new section is confusing for NWE users.Feb 27 2017, 7:15 PM
Jdforrester-WMF triaged this task as Low priority.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.
Deskana claimed this task.Oct 18 2017, 2:13 PM
Deskana added a subscriber: Deskana.

This is the "missingcommenttext" message in MediaWiki core, which was written assuming a certain page layout. The "below" in the message is quite redundant.

Change 384981 had a related patch set uploaded (by Deskana; owner: Deskana):
[mediawiki/core@master] Fix missingcommenttext message to be more useful in different page layouts

https://gerrit.wikimedia.org/r/384981

Change 384981 merged by jenkins-bot:
[mediawiki/core@master] Fix missingcommenttext message to be more useful in different page layouts

https://gerrit.wikimedia.org/r/384981

Deskana closed this task as Resolved.Oct 18 2017, 2:25 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptOct 18 2017, 2:25 PM
Ryasmeen edited projects, added Verified; removed Patch-For-Review.Oct 18 2017, 8:10 PM